com.rscja.deviceapi

## Enum Fingerprint.BufferEnum

- java.lang.Object
- - java.lang.Enum<Fingerprint.BufferEnum>
  - - com.rscja.deviceapi.Fingerprint.BufferEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Fingerprint.BufferEnum>
  Enclosing class:
    Fingerprint

      public static enum Fingerprint.BufferEnum
      extends java.lang.Enum<Fingerprint.BufferEnum>

  模块缓冲区枚举
  Module buffer zone example.
  Author:
    liuruifeng

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `B1` 缓冲区1 buffer zone 1
    `B11` 缓冲区11 buffer zone 11
    `B12` 缓冲区12 buffer zone 12
    `B2` 缓冲区2 buffer zone 2

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` 获取枚举的值 Acquire example value
    `static Fingerprint.BufferEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Fingerprint.BufferEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### B1

          public static final Fingerprint.BufferEnum B1

      缓冲区1
      buffer zone 1

    - #### B2

          public static final Fingerprint.BufferEnum B2

      缓冲区2
      buffer zone 2

    - #### B11

          public static final Fingerprint.BufferEnum B11

      缓冲区11
      buffer zone 11

    - #### B12

          public static final Fingerprint.BufferEnum B12

      缓冲区12
      buffer zone 12

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static Fingerprint.BufferEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Fingerprint.BufferEnum c : Fingerprint.BufferEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Fingerprint.BufferEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      获取枚举的值
      Acquire example value
      Returns: